Skip to main content
GET
/
metrics
/
deployment-ratio
Retrieve deployment ratio
curl --request GET \
  --url https://api.eigenexplorer.com/metrics/deployment-ratio \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/metrics/deployment-ratio"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/metrics/deployment-ratio', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "ratio": 1,
  "change24h": {
    "value": 10,
    "percent": 0.01
  },
  "change7d": {
    "value": 10,
    "percent": 0.01
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
  }
}
{
  "error": {
    "code": "unprocessable_entity",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
  }
}
{
  "error": {
    "code": "rate_limit_exceeded",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "The requested resource was not found.",
    "doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
  }
}

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

withChange
enum<string>
default:false

Toggle whether the route should return 24h/7d change for ratio value

Available options:
true,
false
Example:

"false"

Response

The value of deployment ratio

ratio
number
required

The current value of Deployment Ratio

Example:

1

change24h
object
change7d
object